#
# spec file for package cross-arm-termcap (Version 2.0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cross-arm-binutils cross-arm-gcc cross-arm-glibc cross-arm-lx_suse
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cross-arm-binutils cross-arm-gcc cross-arm-glibc cross-arm-lx_suse cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         cross-arm-termcap
Copyright:    1985, 1987, 1993 Free Software Foundation, Inc.
Group:        Development/Tools
Autoreqprov:  off
Requires:     cross-arm-glibc
Provides:     cross-arm-termcap
Version:      2.0.8
Release:      137
Summary:      Termcap library compiled for ARM
BuildRoot:    /tmp/cross-arm-termcap-build
Prefix:       /opt/cross
Source:       termcap-%{version}.tar.gz
Patch:        cross-termcap-%{version}.dif

%description
This is termcap, cross-compiled for an ARM processor. It is used
for developing programs that are going to run on an ARM,
regardless of the development architecture. It is even useful when
your host development system is on an ARM, as it decouples the
host development tools from the target development tools, i.e., you
can update one without updating the other.

Authors:
--------
    H.J. Lu (hlu@gnu.ai.mit.edu)
    Miquel van Smoorenburg (miquels@drinkel.ow.org)
    David J. MacKenzie (djm@kropotkin.gnu.ai.mit.edu)
    Richard Stallman (rms@mole.gnu.ai.mit.edu)

SuSE series: d

%define TARGET arm
%prep
%setup -n termcap-%{version}
%patch -p1

%build
export PATH=$PATH:/opt/cross/bin
CC=%{TARGET}-linux-gcc \
AR=%{TARGET}-linux-ar  \
prefix=$RPM_BUILD_ROOT%{prefix}/%{TARGET}-linux make 

%install
mkdir -p $RPM_BUILD_ROOT
CC=%{TARGET}-linux-gcc \
AR=%{TARGET}-linux-ar  \
prefix=$RPM_BUILD_ROOT%{prefix}/%{TARGET}-linux make install

%files
%{prefix}/arm-linux/lib/libtermcap.so.2.0.8
%{prefix}/arm-linux/lib/libtermcap.a
%{prefix}/arm-linux/lib/libtermcap.so
%{prefix}/arm-linux/include/termcap.h

%changelog -n cross-arm-termcap
* Wed Jan 17 2001 - uli@suse.de
- initial package
%changelog -n cross-ppc-termcap
* Sat Dec 30 2000 - peterb@suse.de
- Modified Makefile to make termcap files go into main include and lib
  directories instead of a special subdir as in the main SuSE termcap
* Sat Dec 09 2000 - peterb@suse.de
- Fixed out of date dependency upon libc with new dependency on glibc
* Wed Nov 29 2000 - peterb@suse.de
- Initial creation.
%changelog -n cross-x86-termcap
* Sat Dec 30 2000 - peterb@suse.de
- Modified Makefile to keep termcap in main include and lib
  directories instead of sub-directories as in the main SuSE termcap
* Sat Dec 09 2000 - peterb@suse.de
- Replaced out of date dependency upon libc with new one on glibc
* Wed Nov 29 2000 - peterb@suse.de
- Initial creation.
